Assemble
REST API

Memories

GET
/api/v1/memories

Semantic search over the workspace's accumulated memories (rules, definitions, findings, corrections). Returns ranked hits filtered to currently-active memories.

Authorization

bearerAuth
AuthorizationBearer <token>

Workspace API key (Settings → API Keys)

In: header

Query Parameters

query*string

Natural-language query over the workspace's memories

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/memories?query=how+do+we+define+active+users"
{
  "hits": [
    {
      "memoryId": "string",
      "type": "string",
      "statement": "string",
      "goingForward": "string",
      "context": "string"
    }
  ]
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}